Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class DesktopAlreadyExistException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.netuix.application.exception.NetuixException
                        |
                        +--com.bea.netuix.application.exception.DesktopAlreadyExistException

All Implemented Interfaces:
  Serializable

public class DesktopAlreadyExistException
extends NetuixException

See Also:
  Serialized Form

Constructor Summary
`DesktopAlreadyExistException()` Constructs an `Exception` with no specified detail message.
`DesktopAlreadyExistException(String s)` Constructs an `Exception` with the specified detail message.
`DesktopAlreadyExistException(String s, Throwable cause)` Constructs an `Exception` with the specified detail message and causal exception.
`DesktopAlreadyExistException(Throwable cause)` Constructs an `Exception` with the specified causal exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopAlreadyExistException

    public DesktopAlreadyExistException()

  Constructs an `Exception` with no specified detail message.

### DesktopAlreadyExistException

    public DesktopAlreadyExistException(String s)

  Constructs an `Exception` with the specified detail message.

Parameters:
  `s` - The detail message

### DesktopAlreadyExistException

    public DesktopAlreadyExistException(String s,
                                        Throwable cause)

  Constructs an `Exception` with the specified detail message and causal exception.

Parameters:
  `s` - The detail message
  `cause` - The exception that caused this exception to be thrown

### DesktopAlreadyExistException

    public DesktopAlreadyExistException(Throwable cause)

  Constructs an `Exception` with the specified causal exception.

Parameters:
  `cause` - The exception that caused this exception to be thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved